DtMmdbBookGetTocObjectId(library call)

NAME
DtMmdbBookGetTocObjectId — obtains the locator of a book's TOC section

SYNOPSIS

#include &<DtMmdb.h>
DtMmdbHandle* DtMmdbBookGetTocObjectId(
DtMmdbInfoRequest* request);

DESCRIPTION

The DtMmdbBookGetTocObjectId function returns the object identifier of the specified book's TOC section. Use the DtMmdbFreeHandleList function to release the memory when the object identifier is no longer needed. Table lookup is involved when the identifier is specified by either the primary_oid or sequence_num field.

ARGUMENTS

request
    Specifies the bookcase in the bookcase descriptor field, as well as a valid value in the primary_oid, the secondary_oid, or the sequence_num field. The primary_oid represents the DtInfo Database object identifier of the TOC section; the secondary_oid represents the object identifier of the book itself; and the sequence_num represents the sequence number of the book within the bookcase (0 based). If more than one of these fields have a valid value, the order of precedence is: primary_oid, secondary_oid, and, last, sequence_num.

RETURN VALUE

If DtMmdbBookGetTocObjectId completes successfully, it returns a pointer to the object identifier for the book's TOC section. If it fails, it returns a NULL pointer.

EXAMPLE

The following shows how a DtMmdbBookGetTocObjectId call might be coded.

DtMmdbInfoRequest request;
request.bookcase_descriptor = DtMmdbGetBookCase(myInfoLibPtr, "myBase");
request.sequence_num = 1;
DtMmdbBookGetTocObjectId(&&request);

SEE ALSO

TO BE SUPPLIED.